Subject: bug#61098: 29.0.60; Confusing behavior of show-paren-mode

From: Dmitry Gutov <[email-masked]>
Date: Tue, 31 Jan 2023 16:41:42 +0200

On 31/01/2023 16:13, Eli Zaretskii wrote:
>> From: Rah Guzar<[email-masked]>
>> Cc: Stefan Monnier<[email-masked]>,[email-masked]
>> Date: Tue, 31 Jan 2023 14:03:20 +0100
>>
>>
>> Eli Zaretskii<[email-masked]>  writes:
>>
>>> It should be an expression that yields a boolean value (that's why the
>>> variable is named "predicate").  I will improve the doc string when I
>>> install the final version of the changes.
>> What I had been missing was how is that expression supposed to yield
>> a boolean value.
> The function 'not' returns a boolean value.

'not' is just a symbol in this case -- from a DSL.

(buffer-match-p show-paren-predicate (current-buffer)) is supposed to 
return non-nil.

See its docstring for the description of the DSL format.